Introduction

The PLView component of the PLPak is the one responsible for viewing the Boundary Element Model that is going to be processed by the PL. The viewer allows the structural modeler to have more advanced capabilities and options than the generator.

PLView operation diagram

The figure below shows the operation diagram for the PLView module.

PLView Philosophy

The PLView allows the user to view the BEM discritization of the model as well as the details related to elements, nodes and points. Input tables (.in) can be edited as well through the program interface; editing the input tables allows the user to add boundary loading. The PLView proves very useful when used with the PTPAK to view the post tensioning cables.

Please note that changes made through PLView are lost if the (.in) file is regenerated from the PLGen.

Starting the PLView

The PLView can be opened from PLGen or PLCoreMan:

From the PL Gen window choose BE Model either from the View menu or toolbar.

From the PLCoreMan, click Run | PLView


PLView Workspace

Menu

Toolbars

Workspace

Model Summary bar


PLView menus

The File menu

File | New Window

Opens a new viewer window.

File | Import Input file

Brings up a dialog box for selecting a .in file. The dialog box will show the location of the last project that was open. (The user can navigate elsewhere to open another .in file.)

File | Import AIP file

Brings up a dialog box for selecting a .aip file. The dialog box will show the location of the last project that was open. (The user can navigate elsewhere to open another .aip file.)

File | Save. in

Saves the current state of the open .in file

File | Page setup

Brings up a dialog box in which the user can choose the size of the paper, setup the orientation and setup the margins

File | Print Preview

Brings up a small window in which the user can view the file before printing

File | Print

Brings up a dialog box in which the user can the choose the printer and print the current file


The View menu

The view menu contains most of the controls that are used in the PL View.

View | Toolbars

Used to control the toolbars which should appear on the screen, the same function can be performed by right clicking on any toolbar.

View | Windows

The windows menu provides options of tiling different windows that are used at the same time.


View | View Options

Clicking on View Options from the View menu brings up a dialogue box that is used to control display colours, drawing mode, element thickness, grid spacing and columns and cell opacity.


View | Fonts

Clicking on Fonts allows you to change the display fonts.


View | Input Tables

Clicking on Input Tables allows you to view and edit series of tables that contain all the model information. Basically, you are editing the (.in file)

General Info: This tab contains Material definitions and Model Info that were defined from the PLGen.

Extreme points: This part allows you to view and edit extreme points of the model. The table shows the X and Y Co-ordinates of extreme points which define the geometry of the model. Each line has the X and Y Co-ordinates of a point.

Nodes: This part allows you to view and edit nodes of the model. The table shows the X and Y Co-ordinates of extreme points which define the geometry of the model. Each line has the X and Y Co-ordinates of a node.

Element nodes: This table contains a list of all element nodes in the model. As the elements used are quadratic, each line in this block has the indices of the three nodes of each element, followed by two values for the eccentricities of the first and last node. The second node is always at the middle of the elements, while the first and the last ones can be placed anywhere. Typically, the values of the eccentricities used are 1 for the first node and -1 for the last node so that they lie at the ends of the element and the boundary elements will therefore be continuous. Other values of eccentricities can be used to achieve a set of discontinuous boundary elements.

Element connectivity: This tab provides a table of all start and end points of all elements. Each line contains the indices of the first and last point of a boundary element. These two points along with the middle node discussed in the element nodes table will determine the geometry of the element.

Internal Points: This tab provides a list of all internal points in the model. Internal points are defined as points inside the problem domain that are required to be solved along with the boundary points. Each line in this block holds the x and y coordinates of an internal point and the value of load above the point qabove that is required according to Reissner’s plate bending equation.

Loads: In this table, quadrilateral areas inside the domain are defined with loads acting upon them. Each line in this block holds the four indices of the points used to define the geometry of the cell, followed by three force values, the moment about X-Axis MX, the moment about Y-axis MY, and the force in Z-axis direction F3. It should be noted that these values are the forces distributed over the area and not the total force values acting on the cell.

Boundary conditions: In this table, the boundary conditions of each element are described. Each line in this block corresponds to one element, so that each line describes the boundary conditions of the three nodes of an element. Actually, each line in this block has 18 values, 6 values for each node of the three. The six values can be divided into three pairs of values describing the boundary conditions for the three degrees of freedom allowed at each node, the rotation about the X-axis θx, the rotation about Y-axis θy and the displacement in the Z-axis direction Δz. The boundary condition of each degree of freedom is a prescribed value of either the displacement or the traction. For that reason, a pair of values is used for each degree of freedom; the first one is zero to indicate a prescribed displacement and 1 for a prescribed traction, while the second one is the prescribed value. For instance, a totally free node, which is a very commonly used boundary condition has a value of (1 0 1 0 1 0), while for a totally fixed node it will be (0 0 0 0 0 0) .

Supports: This tab provides tables in which quadrilateral areas inside the domain are defined with their support stiffness values. Each line in this block begins with the βy value which determines the type of support, a value of 1 is used for a column that is above and below the slab, a value of 0 is for a column that is only below the slab, a value of -1 is for an inverted beam and a value of -2 is for a projected beam. It should be noted that another values may be added in the future to indicate another usages. Following the Iβ value, there are four indices of the points that defines the geometry of the support., then three values for the stiffnes against rotation about Y-axis, rotation about X-axis and displacement in the direction of Z-axis.

It should be noted that for circular cells, whether loading or support ones, the two first indices of points will be replaced by -1 ,the third point index refers to point at the circle center, and the fourth index refer to any point on the circle circumference.


PLView toolbar

Icons in this toolbar provide different viewing options for the boundary element model.The highlighted functions (Refresh, Zoom Extents, Window Zoom, Show/Hide Grid, Show Axis) perform the same function as those in PLGen, please refer to the View commands in the PLGen manual.

Show/Hide nodes

Clicking on this button shows/hides all nodes in the model.


Show/Hide points

Clicking on this button shows/hides all points in the model.


Show/Hide points

Show/Hide elements

Clicking on this button shows/hides all points in the model.


Show/Hide points

Show/Hide supports

Clicking on this button shows/hides all supports in the model.


Show/Hide points

Show/Hide loads

Clicking on this button shows/hides all loads in the model.


Show/Hide points

Show/Hide internal points

Clicking on this button shows/hides all internal points in the model.


Show/Hide points

Show/Hide additional internal points

Clicking on this button shows/hides all additional internal points in the model.


Show/Hide points

Show/Hide node numbers

Clicking on this button shows/hides all node numbers in the model.


Show/Hide points

Show/Hide point numbers

Clicking on this button shows/hides all point numbers in the model.


Show/Hide element numbers

Clicking on this button shows/hides all element numbers in the model.


Show/Hide internal points numbers

Clicking on this button shows/hides all internal points in the model.


Show/Hide additional internal points numbers

Clicking on this button shows/hides all additional internal points in the model.


Show/Hide element directions

Clicking on this button shows/hides all element directions in the model.


Show/Hide element normal

Clicking on this button shows/hides all element normal in the model.


Show/Hide element boundary conditions

Clicking on this button shows/hides all element boundary conditions in the model.


Show/Hide element boundary conditions legend

Clicking on this button shows/hides boundary conditions legend.


Show/Hide supports data

Clicking on this button shows/hides supports properties.


Show/Hide load data

Clicking on this button shows/hides loads.


New tools in ver 1.01

Export DXF

You can simply export your model in DXF form using the “Export DXF” button from the main tool bar or by calling the “Export DXF” from the “File” menu. You can choose layers, line types and colors for geometrical elements (slabs, opening; ie. Boundary elements) as well as loading and supporting elements.


1

PLPAK V1.01 User Manual - PLView